Package com.enonic.xp.content

## Class EditableContent

- java.lang.Object
- - com.enonic.xp.content.EditableContent

- Direct Known Subclasses:
    `EditableSite`

      @PublicApi
      public class EditableContent
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Instant` | `createdTime` |
    `PrincipalKey` | `creator` |
    `PropertyTree` | `data` |
    `String` | `displayName` |
    `ExtraDatas` | `extraDatas` |
    `EnumSet<ContentInheritType>` | `inherit` |
    `boolean` | `inheritPermissions` |
    `Locale` | `language` |
    `Long` | `manualOrderValue` |
    `Instant` | `modifiedTime` |
    `PrincipalKey` | `modifier` |
    `PrincipalKey` | `owner` |
    `Page` | `page` |
    `AccessControlList` | `permissions` |
    `ContentIds.Builder` | `processedReferences` |
    `ContentPublishInfo` | `publishInfo` |
    `Content` | `source` |
    `Thumbnail` | `thumbnail` |
    `boolean` | `valid` |
    `ContentId` | `variantOf` |
    `WorkflowInfo` | `workflowInfo` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EditableContent​(Content source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Content` | `build()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### source

          public final Content source

    - #### displayName

          public String displayName

    - #### data

          public PropertyTree data

    - #### extraDatas

          public ExtraDatas extraDatas

    - #### page

          public Page page

    - #### valid

          public boolean valid

    - #### thumbnail

          public Thumbnail thumbnail

    - #### inheritPermissions

          public boolean inheritPermissions

    - #### permissions

          public AccessControlList permissions

    - #### owner

          public PrincipalKey owner

    - #### language

          public Locale language

    - #### creator

          public PrincipalKey creator

    - #### createdTime

          public Instant createdTime

    - #### modifier

          public PrincipalKey modifier

    - #### modifiedTime

          public Instant modifiedTime

    - #### publishInfo

          public ContentPublishInfo publishInfo

    - #### processedReferences

          public ContentIds.Builder processedReferences

    - #### workflowInfo

          public WorkflowInfo workflowInfo

    - #### manualOrderValue

          public Long manualOrderValue

    - #### inherit

          public EnumSet<ContentInheritType> inherit

    - #### variantOf

          public ContentId variantOf

  - ### Constructor Detail

    - #### EditableContent

          public EditableContent​(Content source)

  - ### Method Detail

    - #### build

          public Content build()